Skip to main content
POST
/
store
/
{store}
/
kv
/
batch
Get multiple values by keys
curl --request POST \
  --url https://platform.versori.com/api/v2/store/{store}/kv/batch \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "keys": [
    [
      "<string>"
    ]
  ],
  "options": {
    "timeout": 123
  }
}
'
{
  "entries": [
    {
      "key": [
        "<string>"
      ],
      "value": "<unknown>",
      "versionstamp": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "expiresAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.versori.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.

Path Parameters

store
string<ulid>
required

Body

application/json
keys
string[][]
options
object

Response

200 - application/json

Values retrieved successfully

entries
object[]
required